package com.miaxis.common.sign;

import java.util.List;

/**
 * 验证工具类
 *
 * @author 刘志敏
 * @Date 2016年11月30日 下午3:00:34
 */
public class VerifyUtil {

	/**
	 * 验证字符串(String)是否为空字符串,true不为空,false为空
	 * @param str
	 * @return
	 */
	public static boolean verifyString(String str) {
		if(str != null && !"".equals(str.trim())&&!"null".equals(str)) {
			return true;
		}
		return false;
	}

	/**
	 * 验证整形(Integer)是否为空字符串,true不为空,false为空
	 * @param str
	 * @return
	 */
	public static boolean verifyInteger(Integer i) {
		if(i != null) {
			return true;
		}
		return false;
	}

	/**
	 * 验证集合(List)是否为空集合,true不为空,false为空
	 * @param str
	 * @return
	 */
	@SuppressWarnings("rawtypes")
	public static boolean verifyList(List list) {
		if(list != null && list.size() > 0) {
			return true;
		}
		return false;
	}

	/**
	 * 验证Object
	 *
	 * @param obj
	 * @return boolean
	 * @throws
	 * @author 刘志敏
	 * @Date 2017年11月8日 下午3:34:11
	 */
	public static boolean verifyObject(Object obj) {
		if(obj != null && !obj.toString().trim().equals("")) {
			return true;
		}
		return false;
	}

}
